rizamodocs
Custom fields

Update a custom field

PATCH
/fields/{key}

The key and type cannot change. Removing an option leaves the value on posts that have it.

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from the web app, under Developers. It starts with rz_live_.

Path Parameters

key*string

Request Body

application/json
  1. body
label?string
Length1 <= length <= 60
options?array<>
Itemsitems <= 100
description?|null

Response Body

OK

application/json
  1. response
key*string
entity*"post"
Value in"post"
label*string
type*string
Value in"text""select""multi_select""number""url""date""checkbox"
options?array<string>
description?string
Example Request
curl -X PATCH 'https://api.rizamo.com/v1/fields/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response200
{  "key": "string",  "entity": "post",  "label": "string",  "type": "text",  "options": [    "string"  ],  "description": "string"}